uuid: d3f779e8-98b9-47c3-8b9f-89d199ef91a5
langcode: en
status: true
dependencies: {  }
id: gronze_taxonomy_category_parent
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - taxonomy
  - gronze
  - level1
migration_group: gronze_taxonomy_parent
label: 'Category taxonomy from Gronze D7'
source:
  high_water_property:
    name: tid
    alias: td
  plugin: d7_taxonomy_term_gronze
  bundle: category
process:
  tid:
    plugin: migration_lookup
    migration: gronze_taxonomy_category
    source: tid
    no_stub: true
  weight: weight
  parent:
    -
      plugin: skip_on_empty
      method: process
      source: parent
    -
      plugin: migration_lookup
      migration: gronze_taxonomy_category
      no_stub: true
destination:
  plugin: 'entity:taxonomy_term'
  default_bundle: category
migration_dependencies:
  required:
    - gronze_taxonomy_category
